- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# gluster_heal_info – Gather information on self-heal or rebalance status

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Gather facts about either self-heal or rebalance status.
- This module was called `gluster_heal_facts` before Ansible 2.9, returning `ansible_facts`. Note that the gluster_heal_info module no longer returns `ansible_facts`!

Aliases: gluster_heal_facts

## Requirements

The below requirements are needed on the host that executes this module.

- GlusterFS > 3.2

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | The volume name. aliases: volume
status_filter - | Choices: self-heal ← rebalance | Determines which facts are to be returned. If the `status_filter` is `self-heal`, status of self-heal, along with the number of files still in process are returned. If the `status_filter` is `rebalance`, rebalance status is returned.

## Examples

    - name: Gather self-heal facts about all gluster hosts in the cluster
      gluster_heal_info:
        name: test_volume
        status_filter: self-heal
      register: self_heal_status
    - debug:
        var: self_heal_status

    - name: Gather rebalance facts about all gluster hosts in the cluster
      gluster_heal_info:
        name: test_volume
        status_filter: rebalance
      register: rebalance_status
    - debug:
        var: rebalance_status

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
heal_info list | On success | List of files that still need healing process
name string | always | GlusterFS volume name
rebalance_status list | On success | Status of rebalance operation
status_filter string | always | Whether self-heal or rebalance status is to be returned

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Devyani Kota (@devyanikota)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.